Bug 824621 - Revert dhcp backup changes
Revert dhcp backup changes
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ovirt-node (Show other bugs)
Unspecified Unspecified
unspecified Severity urgent
: rc
: ---
Assigned To: Joey Boggs
Virtualization Bugs
: TestOnly
Depends On: 822930 824622
  Show dependency treegraph
Reported: 2012-05-23 16:39 EDT by Mike Burns
Modified: 2016-04-26 11:55 EDT (History)
15 users (show)

See Also:
Fixed In Version: ovirt-node-2.5.0-5.el6
Doc Type: Bug Fix
Doc Text:
Previously, after registering to Red Hat Enterprise Virtualization Manager, the system's virtual machine migration failed. The resolv.conf was overwritten with an empty one which resulted in DNS errors that triggered the migration failure. This was caused by the parameter resolv.conf.predhclient which reserves the DNS change and should restore it. In 6.4, resolv.conf.predhclient has been removed, DNS will remain reserved even after registration to Red Hat Enterprise Virtualization Manager.
Story Points: ---
Clone Of: 822930
Last Closed: 2013-02-28 11:34:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike Burns 2012-05-23 16:39:20 EDT
+++ This bug was initially created as a clone of Bug #822930 +++

Description of problem:
VM migration failed with empty resolv.conf after registered to RHEVM

Version-Release number of selected component:

How reproducible:

Not Regression

Priority: High

Steps to Reproduce:
1. install rhev-hypervisor6-6.3-20120516.0.el6 to the machine
2. register it to rhevm
3. find the /etc/resolv.conf was empty
4. Connect to NFS storage, and create VMs on the RHEVH host

Actual results:
resolv.conf is empty, which results in DNS error and vm migration failure.[migerrorvdsm.log]
But the resolv.conf wouldn't be empty, after rebooted the rhevh. Then vm migration still failed.
If the hostnames of srchost and desthost are different, I modified the host-name setted on rhevm as the hostname of RHEVH, the migration is successful.[pic successfulmig.png]

Expected results:
vm migration should be successful.

Additional info:
Comment 1 RHEL Product and Program Management 2012-07-10 04:21:47 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 2 RHEL Product and Program Management 2012-07-10 21:49:49 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 10 errata-xmlrpc 2013-02-28 11:34:09 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.